package com.yd.dal.mapper.meta;

import com.yd.dal.entity.meta.ObjectCollectionTagged;

import java.util.List;

public interface ObjectCollectionTaggedMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ObjectCollectionTagged record);

    int insertSelective(ObjectCollectionTagged record);

    ObjectCollectionTagged selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ObjectCollectionTagged record);

    int updateByPrimaryKey(ObjectCollectionTagged record);

    List<ObjectCollectionTagged> findByObjectCollectionTagged(ObjectCollectionTagged objectCollectionTagged);
}